aboutsummaryrefslogtreecommitdiff
path: root/deploy.sh
diff options
context:
space:
mode:
authorMaZderMind2016-11-24 21:30:43 +0100
committerMaZderMind2016-11-24 21:32:46 +0100
commitbf79e92875de6153eb8d577a43c1a567736c67bd (patch)
treea222f4e8e51b2cf52e3e493439814ca3b8e481f3 /deploy.sh
parent6d351be3f9a52f2e009cb8dbf0de1b1f111409c7 (diff)
fix git-diff check
Diffstat (limited to 'deploy.sh')
-rwxr-xr-xdeploy.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/deploy.sh b/deploy.sh
index 1115958..1535f5b 100755
--- a/deploy.sh
+++ b/deploy.sh
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
command -v find >/dev/null 2>&1 || { echo >&2 "I require find but it's not installed. Aborting."; exit 1; }
command -v xargs >/dev/null 2>&1 || { echo >&2 "I require xargs but it's not installed. Aborting."; exit 1; }
@@ -15,7 +15,7 @@ if [ `git rev-parse --verify origin/master` != `git rev-parse --verify master` ]
exit 2
fi
-if git diff --exit-code >/dev/null || git diff --cached --exit-code >/dev/null; then
+if ! (git diff --exit-code >/dev/null || git diff --cached --exit-code >/dev/null); then
echo "You have uncomitted changes. They would not be deployed. aborting"
exit 2
fi